****
**** Programmcode zu Kapitel 3.3.2 Der COMPUTE-Befehl
****
**** (gespeichert als 3.3.2 COMPUTE und 3.3.4 DIFFERENCE)
****

* Einlesen des gesamten Datensatzes
CALENDAR 1962 1 12
ALLOCATE 2001:11
OPEN DATA ARBEITSLOSIGKEIT.XLS
DATA(FORMAT=XLS,ORGANIZATION=COLUMNS)

* Durchfhren der ntigen Transformationen
COMPUTE ARBLOSEQ1Y2000 = (ARBEITSLOSE(2000:1) + $
ARBEITSLOSE(2000:2) + ARBEITSLOSE(2000:3))/3, $
ARBLOSEQ2Y2000 = (ARBEITSLOSE(2000:4) + ARBEITSLOSE(2000:5) $
+ ARBEITSLOSE(2000:6))/3

* Ausgabe der Ergebnisse
DISPLAY 'Arbeitlose im ersten Quartal 2000' @35 ARBLOSEQ1Y2000
DISPLAY ''
DISPLAY 'Arbeitlose im zweiten Quartal 2000' @35 ARBLOSEQ2Y2000



****
**** Programmcode zu Kapitel 3.3.4 Der DIFFERENCE-Befehl
****
* Beispielhafte Verwendung des DIFFERENCE-Befehls und
* anschlieende Ausgabe der Ergebnisse
DIFFERENCE ARBEITSLOSE / ARBLDIFF
DIFFERENCE(SDIFFERENCE=12,SPAN=12) ARBEITSLOSE / ARBLSAISON
DIFFERENCE(CENTER) ARBEITSLOSE / ARBLCENT
DIFFERENCE(STANDARDIZE) ARBEITSLOSE / ARBLSTAND
PRINT(PICTURE='*.###') 2000:1:12 2000:12:12 ARBEITSLOSE $
ARBLDIFF ARBLSAISON ARBLCENT ARBLSTAND

****
**** Ende des Programmcodes
****








