****
**** Programmcode zu Kapitel 6.6.2 Qualitative Regressoren
****
**** (gespeichert als 6.6.2 Dummy Variablen)
****
* Beschreibung und Einlesen des Datensatzes
CAL 1970
ALL 2004:1
OPEN DATA KONSUM.XLS
DATA(FORMAT=XLS,ORGANIZATION=COLUMNS)

* Genrieren einer Dummy-Variable
SET NACHWECHSEL = JAHR>=1990
SET VORWECHSEL = JAHR<1990

* Darstellung einiger Beobachtungspunkte um die Grenze
PRINT 1987:1 1992:1 NACHWECHSEL VORWECHSEL VERB EINK INFL

* Schtzung einer multiplen Regression mit Dummy-Variable
LINREG VERB
# CONSTANT NACHWECHSEL EINK INFL

* Verwendung von Dummy-Variablen zur Einschrnkung
* des Analysezeitraumes
LINREG(SMPL=NACHWECHSEL) VERB
# CONSTANT EINK INFL

LINREG(SMPL=VORWECHSEL) VERB
# CONSTANT EINK INFL


****
**** Ende des Programmcodes
****




