****
**** Programmcode zu Kapitel 6.2 Schtzung
****
**** (gespeichert als 6.2 Regression)
****


****
**** Programmcode zu Kapitel 6.2.2 Beispiel KONSUM.xls
****
* Beschreibung & Einlesen des Datensatzes
CAL 1970
ALL 2004:1
OPEN DATA KONSUM.XLS
DATA(FORMAT=XLS,ORG=COL)

* Darstellung der Originaldaten
DISPLAY 'ORIGINALDATEN:'
PRINT
DISPLAY 'mit: VERB=privater Verbrauch je Einwohner in 10000 GE'
DISPLAY @6 'EINK=verfgbares Einkommen je Einwohner in 10000 GE'
DISPLAY @6 'INFL=Inflationsrate'

* Schtzung einer multiplen Regression
LINREG VERB
# CONSTANT EINK INFL


****
**** Programmcode zu Kapitel 6.2.3 Matrixdarstellung - MAKE
****
* Berechnung der Regressionskoeffizienten mit MAKE
MAKE XMATRIX 1970:1 2004:1
# CONSTANT EINK INFL
MAKE YMATRIX 1970:1 2004:1
# VERB

COMPUTE INVXX = INV(TR(XMATRIX)*(XMATRIX))
COMPUTE XY    = TR(XMATRIX)*(YMATRIX)
COMPUTE BETA  = INVXX*XY
DISPLAY 'Beta-Koeffizienten mit Matrix-Algebra berechnet:'
DISPLAY BETA


****
**** Ende des Programmcodes
****


