****
**** Programmcode zu Kapitel 6.5.2 Homoskedastie
****
**** (gespeichert als 6.5.2 Homoskedastie)
****

* Beschreibung & Einlesen des Datensatzes
CAL 1970
ALL 2004:1
OPEN DATA KONSUM.XLS
DATA(FORMAT=XLS,ORG=COL)


* Graphische Prfung
LINREG(NOPRINT) VERB / REST
# CONSTANT EINK INFL

SET QREST = REST**2

SCATTER(HLABEL='Einkommen',VLABEL='RSS') 1
# EINK QREST

* White-Test
SET QEINK = EINK**2
SET QINFL = INFL**2
SET KP_EINK_INFL = EINK*INFL

LINREG QREST
# CONSTANT EINK INFL QEINK QINFL KP_EINK_INFL

CDF(TITLE='White-Test') CHISQR %TRSQUARED %NOBS-%NDF-1


* Breusch-Pagan-Godfrey-Test
LINREG(NOPRINT) VERB / BPG_REST
# CONSTANT EINK INFL

SET QBPG_REST = BPG_REST**2

LINREG QBPG_REST
# CONSTANT EINK INFL

CDF(TITLE='BPG-Test') CHISQR %TRSQUARED %NOBS-%NDF-1


* Bereinigung mittels White-Standardfehler
LINREG VERB
# CONSTANT EINK INFL

LINREG(ROBUSTERRORS) VERB
# CONSTANT EINK INFL


****
**** Ende des Programmcodes
****




