****
**** Programmcode zu Kapitel 6.6.1 Nichtlineare Schtzungen -
**** NONLIN, FRML, MAXIMIZE, NLLS
****
**** (gespeichert als 6.6.1 Nichtlineare Schtzungen)
****
* Beschreibung & Einlesen des Datensatzes
CAL 1970
ALL 2004:1
OPEN DATA KONSUM.XLS
DATA(FORMAT=XLS,ORGANIZATION=COLUMNS)

* Maximum-Likelihood-Schtzung
NONLIN(PARMSET=MAXML) B1 B2 A1 VAR
COMPUTE B1=B2=A1=VAR=1.0
FRML MLMAX VERB=-LOG(VAR)-(VERB-B1-B2*EINK**A1)**2/VAR
MAXIMIZE(PARMSET=MAXML) MLMAX

* Non-Linear-Least-Squares-Schtzung
NONLIN(PARMSET=NLLSML) B1 B2 A1
COMPUTE B1=B2=A1=1.0
FRML MLNLLS VERB=B1+B2*EINK**A1
NLLS(PARMSET=NLLSML,FRML=MLNLLS) VERB

* LR- und LM-Test
COMPUTE RSSUNR = %RSS

NONLIN B1 B2 A1=1.0
NLLS(FRML=MLNLLS) VERB

CDF(TITLE='LR-TEST') CHISQR %NOBS*(LOG(%RSS/RSSUNR)) %NREG-1

CDF(TITLE='LM-TEST') CHISQR (%RSS-RSSUNR)/(%RSS/%NOBS) %NREG-1


****
**** Ende des Programmcodes
****

