****
**** Programmcode zu Kapitel 7.3 Berechnung gleitender Durchschnitte
****
**** (gespeichert als 7.3 Gleitende Durchschnitte)
****
* Beschreibung & Einlesen des Datensatzes
ALLOCATE 21
OPEN DATA ROTLICHT.XLS
DATA(FORMAT=XLS,ORGANIZATION=ROWS)

* Graphische Darstellung
GRAPH(HEADER='Anzahl der Rotlichtverste pro Tag',$
VLABEL='Anzahl Verste',HLABEL='Tag',$
WINDOW='Beispiel Rotlichtverste') 1
# VERSTOESSE

* Berechnung des gleitenden 7er Durchschnittes
SET VERSTOESSE_STERN = (VERSTOESSE{3} + VERSTOESSE{2} +$
VERSTOESSE{1} + VERSTOESSE + VERSTOESSE{-1} + VERSTOESSE{-2}$
+ VERSTOESSE{-3}) / 7

PRINT

* Graphische Darstellung der gegltteten Reihe gegen die Originalreihe
GRAPH(HEADER='Anzahl der Rotlichtverste pro Tag',$
SUBHEADER='und gleitender 7er Durchschnitt',VLABEL=$
'Anzahl Verste',HLABEL='Tag',WINDOW=$
'Beispiel Gleitende Durchschnitte') 2
# VERSTOESSE
# VERSTOESSE_STERN


****
**** Ende des Programmcodes
****

