****
**** Programmcode zu Kapitel 8.3.1 AR(p)-Prozesse
****
**** (gespeichert als 8.3.1 AR(2)-Simulation (noprint))
****
ALLOCATE 2000
SET y = 0.0
SET a = %ran(1)
EQUATION(variance=2.0,noconstant) simeq y 2 0
ASSOCIATE(resid=a) simeq
# 0.6 0.2
SIMULATE 1 2000 3
# simeq y


GRAPH(window='AR(2)-Prozess') 1
# y 1 150

CORRELATE(correlations=akf,partial=pakf,number=25) y


* Berechnung der Signifikanz-Grenzen
set beo = %nobs
set up = 2/(beo**0.5)
set low = -2/(beo**0.5)


* Graphische Darstellung
GRAPH(style=bargraph,number=0,max=1.0,min=-1.0,$
window='AKF und PAKF',header='AKF und PAKF eines AR(2)-Prozesses',$
overlay=line,ovsamescale,ovcount=2,pattern) 4
# akf / 1
# pakf / 4
# up 1 26 2
# low 1 26 2

SPGRAPH(hfields=2,vfi=1,header='AKF und PAKF eines AR(2)-Prozesses',$
window='Korrelogramme AR(2)-Prozess')

GRAPH(header='AKF eines AR(2)-Prozesses',number=1,style=bargraph,$
overlay=line,ovsamescale,ovcount=2,pattern) 3
# akf 2 26
# up 2 26 2
# low 2 26 2

GRAPH(header='PAKF eines AR(2)-Prozesses',number=1,style=bargraph,$
overlay=line,ovsamescale,ovcount=2,pattern) 3
# pakf 2 26 4
# up 2 26 2
# low 2 26 2

SPGRAPH(done)

BOXJENK(ar=2,ma=0,define=ARIMA) y



****
**** Ende des Programmcodes
****






